### Method

# Soup Session send_and_splice_finish

since: 3.4

#### Declaration [src]

    gssize
    soup_session_send_and_splice_finish (
      SoupSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Gets the response to a `soup_session_send_and_splice_async()`.

Available since: 3.4

#### Parameters

`result`

  Type: `GAsyncResult`

  The `GAsyncResult` passed to your callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gssize`

A #gssize containing the size of the data spliced, or -1 if an error occurred.